package com.sz.admin.monitor.service;


import com.mybatisflex.core.service.IService;
import com.sz.admin.monitor.pojo.dto.substation.SubstationCreateDTO;
import com.sz.admin.monitor.pojo.dto.substation.SubstationListDTO;
import com.sz.admin.monitor.pojo.dto.substation.SubstationUpdateDTO;
import com.sz.admin.monitor.pojo.po.Substation;
import com.sz.admin.monitor.pojo.vo.substation.SubstationVO;
import com.sz.core.common.entity.PageResult;
import com.sz.core.common.entity.SelectIdsDTO;

import com.sz.core.common.entity.ImportExcelDTO;
import jakarta.servlet.http.HttpServletResponse;

import java.util.List;

/**
 * <p>
 * 变电站和超高压信息表 Service
 * </p>
 *
 * @author Lz
 * @since 2026-03-06
 */
public interface SubstationService extends IService<Substation> {

    void create(SubstationCreateDTO dto);

    void update(SubstationUpdateDTO dto);

    PageResult<SubstationVO> page(SubstationListDTO dto);

    List<SubstationVO> list(SubstationListDTO dto);

    void remove(SelectIdsDTO dto);

    SubstationVO detail(Object id);

    void importExcel(ImportExcelDTO dto);
    void exportExcel(SubstationListDTO dto, HttpServletResponse response);
}